Loading...
Searching...
No Matches
caf::detail::container_view< F, Container > Struct Template Reference

Decorates a container of type T to appear as container of type U. More...

`#include <algorithms.hpp>`

## Public Types

using | value_type = typename detail::get_callable_trait<F>::result_type

## Public Member Functions

size_t | size () const
value_type | operator[] (size_t i)

## Public Attributes

Container & | x

## Related Symbols

(Note that these are not member symbols.)
template<class F, class Container>
container_view< F, Container > | make_container_view (Container &x)
| Returns a container view for x.

## Detailed Description

template<class F, class Container>
struct caf::detail::container_view< F, Container >

Decorates a container of type T to appear as container of type U.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/algorithms.hpp